org.apache.ignite.internal.igfs.common

## Class IgfsDataOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.DataOutputStream
      - - org.apache.ignite.internal.igfs.common.IgfsDataOutputStream

All Implemented Interfaces:
  Closeable, DataOutput, Flushable, ObjectOutput, AutoCloseable

    public class IgfsDataOutputStream
    extends DataOutputStream
    implements ObjectOutput

Data output stream implementing ObjectOutput but throwing exceptions on methods working with objects.

### Field Summary

### Fields inherited from class java.io.DataOutputStream

`written`

### Fields inherited from class java.io.FilterOutputStream

`out`

### Constructor Summary

Constructors
Constructor and Description
`IgfsDataOutputStream(OutputStream out)` Creates a new data output stream to write data to the specified underlying output stream.

### Method Summary

Methods
`void` `writeObject(Object obj)`

### Methods inherited from class java.io.DataOutputStream

`flush, size, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

### Methods inherited from class java.io.FilterOutputStream

`close, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.ObjectOutput

`close, flush, write, write, write`

### Methods inherited from interface java.io.DataOutput

`writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

### Constructor Detail

#### IgfsDataOutputStream

    public IgfsDataOutputStream(OutputStream out)

Creates a new data output stream to write data to the specified underlying output stream. The counter `written` is set to zero.

Parameters:
  `out` - the underlying output stream, to be saved for later use.
See Also:
  `FilterOutputStream.out`

### Method Detail

#### writeObject

    public void writeObject(Object obj)
                     throws IOException

Specified by:
  `writeObject` in interface `ObjectOutput`
Throws:
  `IOException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016